#version 330 core

layout (location = 0) in vec3 vertex;
layout (location = 1) in vec2 uv;

uniform vec2 offset;
 
out vec2 texcoord;

void main()
{
	gl_Position = vec4(vertex.xyz, 1.0) + vec4(offset.xy, 0.0, 0.0);
	texcoord = uv;
}